---
updatedAt: 2025-07-14T13:36:50.000Z
agentTools:
  projectIndex: https://securityscorecard.readme.io/llms.txt
---

# /max/customer/breaches

Gets breaches for the current customer

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "SecurityScorecard",
    "version": "0.0.1",
    "contact": {
      "name": "SecurityScorecard Support",
      "email": "support@securityscorecard.io"
    },
    "description": "For onboarding instructions and details on how SecurityScorecard API works,\nplease see our Readme guide: https://securityscorecard.readme.io/docs\n\nFor technical support please contact us at\n[support@securityscorecard.io](support@securityscorecard.io). We typically\nrespond in 48 hours and operate Monday thru Friday 9am - 5pm EST (excluding\nUS federal holidays).",
    "x-logo": {
      "url": "https://platform.securityscorecard.io/images/ssc-logo-white-stacked.svg",
      "backgroundColor": "#222830"
    }
  },
  "servers": [
    {
      "url": "https://api.securityscorecard.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "Token": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "SecurityScorecard API endpoints require an authentication token to be passed\nin an authorization header in order to return data. If you do not already\nhave a token, you can create one by going to the API Access area in your\n[Settings page](https://platform.securityscorecard.io/#/settings/api) and then\nclicking Generate New Token. Please note this tokens have no expiration\nso they can be used until manually revoked. If you have a token and generate\na new one, the previous token will be revoked and can no longer be used.\n\nAdministrators can also revoke API tokens for any user in their account.\n\nOnce you have your token you can pass it in using the `Authorization` http header like this:\n\n```\ncurl -X GET \\\n  https://api.securityscorecard.io/portfolios \\\n  -H 'authorization: Token <your token>'\n```"
      }
    },
    "schemas": {
      "BreachesList": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "entries": {
            "type": "array",
            "items": {
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "vendor_id": {
                      "example": "aea7dae2-370f-4279-a458-4c7cb9661778",
                      "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
                      "description": "vendor identifier",
                      "type": "string"
                    },
                    "vendor_domain": {
                      "example": "securityscorecard.com",
                      "type": "string",
                      "description": "domain of the vendor"
                    },
                    "vendor_name": {
                      "type": "string",
                      "description": "name of the vendor",
                      "example": "SecurityScorecard"
                    },
                    "customers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "example": "aea7dae2-370f-4279-a458-4c7cb9661778",
                            "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
                            "description": "id of the customer",
                            "type": "string"
                          },
                          "domain": {
                            "example": "securityscorecard.com",
                            "type": "string",
                            "description": "domain of the customer"
                          },
                          "name": {
                            "example": "SecurityScorecard",
                            "type": "string",
                            "description": "name of the customer"
                          }
                        },
                        "required": [
                          "id",
                          "domain",
                          "name"
                        ]
                      }
                    },
                    "report": {
                      "type": "boolean",
                      "description": "is reported"
                    },
                    "triaged": {
                      "type": "boolean",
                      "description": "is triaged"
                    },
                    "is_active_breach": {
                      "type": "boolean",
                      "description": "vendor has breach"
                    },
                    "edited_at": {
                      "example": "2020-01-01T00:00:00.000Z",
                      "type": "string",
                      "pattern": "^(?:\\d{4}-\\d{2}-\\d{2}[T ]\\d{2}:\\d{2}:\\d{2}\\.{0,1}\\d*Z)?$",
                      "description": "last edition of report or trigger fields"
                    }
                  },
                  "required": [
                    "vendor_id",
                    "vendor_domain",
                    "vendor_name",
                    "customers",
                    "report",
                    "triaged",
                    "is_active_breach",
                    "edited_at"
                  ]
                },
                {
                  "type": "object",
                  "properties": {
                    "breach_id": {
                      "example": "aea7dae2-370f-4279-a458-4c7cb9661778",
                      "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
                      "description": "breach identifier",
                      "type": "string"
                    },
                    "description": {
                      "type": "string",
                      "description": "description of the breach"
                    },
                    "link": {
                      "example": "https://www.example.com/resource/123",
                      "type": "string",
                      "description": "source URL of the breach"
                    },
                    "published_date": {
                      "type": "string",
                      "format": "date",
                      "example": "2020-01-01",
                      "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                      "description": "published date of the breach"
                    }
                  },
                  "required": [
                    "breach_id",
                    "description",
                    "link",
                    "published_date"
                  ]
                }
              ]
            }
          },
          "size": {
            "description": "The number of records to be returned per page",
            "example": 100,
            "type": "integer"
          },
          "page": {
            "description": "The page number to be returned",
            "example": 1,
            "type": "integer"
          },
          "total": {
            "description": "The total number of records matching the given query",
            "example": 999,
            "type": "integer"
          }
        },
        "required": [
          "entries",
          "size",
          "page",
          "total"
        ]
      },
      "ErrorBadRequest": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 400
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorUnauthorized": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 401
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorForbidden": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 403
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorNotFound": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 404
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorRateLimit": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 429
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "Token": []
    }
  ],
  "paths": {
    "/max/customer/breaches": {
      "get": {
        "summary": "",
        "description": "Gets breaches for the current customer",
        "tags": [
          "customer"
        ],
        "parameters": [
          {
            "in": "query",
            "name": "triaged",
            "required": false,
            "example": "true",
            "schema": {
              "type": "string",
              "enum": [
                "true",
                "false"
              ]
            },
            "description": "Filter findings that are set to be triaged"
          },
          {
            "in": "query",
            "name": "report",
            "required": false,
            "example": "true",
            "schema": {
              "type": "string",
              "enum": [
                "true",
                "false"
              ]
            },
            "description": "Filter findings that are set to be reported"
          },
          {
            "in": "query",
            "name": "vendor_id",
            "required": false,
            "example": "aea7dae2-370f-4279-a458-4c7cb9661778",
            "schema": {
              "type": "string",
              "format": "uuid",
              "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
            },
            "description": "Vendor ID filter, accepts single value or comma separated list of vendor ids"
          },
          {
            "in": "query",
            "name": "vendor_domain",
            "required": false,
            "example": "securityscorecard.com",
            "schema": {
              "type": "string"
            },
            "description": "Vendor domain filter, accepts single value or comma separated list of vendor domains"
          },
          {
            "in": "query",
            "name": "vendor_name",
            "required": false,
            "example": "SecurityScorecard",
            "schema": {
              "type": "string"
            },
            "description": "Vendor name filter, accepts single value or comma separated list of vendor names"
          },
          {
            "in": "query",
            "name": "published_at",
            "required": false,
            "example": "{\"operator\":\"gte\",\"value\":\"2025-01-01\"}",
            "schema": {
              "type": "string"
            },
            "description": "Published date filter, accept stringified object with date value and operator"
          },
          {
            "in": "query",
            "name": "recent_only",
            "required": false,
            "example": "true",
            "schema": {
              "type": "string",
              "enum": [
                "true",
                "false"
              ]
            },
            "description": "Set true to get just recently triaged breaches along with the not triaged ones"
          },
          {
            "in": "query",
            "name": "search",
            "required": false,
            "example": "foo bar",
            "schema": {
              "type": "string"
            },
            "description": "Word or phrase to search records for"
          },
          {
            "in": "query",
            "name": "sort",
            "required": false,
            "example": "{\"column\":\"published_at\",\"order\":\"desc\"}",
            "schema": {
              "type": "string"
            },
            "description": "Stringified object with value for column to order by and operator"
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "schema": {
              "type": "integer"
            },
            "description": "optionally specify which page of results to return"
          },
          {
            "in": "query",
            "name": "limit",
            "required": false,
            "example": 25,
            "schema": {
              "type": "integer",
              "maximum": 1500
            },
            "description": "optionally specify how many results to return, maximum is 1500"
          },
          {
            "name": "version",
            "in": "header",
            "schema": {
              "type": "string",
              "example": "beta"
            },
            "description": "API version header"
          }
        ],
        "responses": {
          "200": {
            "description": "Breaches list for the given filters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BreachesList"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorBadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorUnauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorForbidden"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorNotFound"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorRateLimit"
                }
              }
            }
          }
        }
      }
    }
  }
}
````